# Function getSerializableProperties

- getSerializableProperties<TProperties>(propertyDefs, serializeMode?): {
  [P in keyof TProperties]?: PropertyDef<TProperties[P]>
  }

- Returns the PropertyDefs for a Serializable instance that are relevant for a given SerializeMode.

  #### Type Parameters

  - TProperties

  #### Parameters

  - propertyDefs: PropertyDefs<TProperties>

    All property defs for the Serializable instance.

  - serializeMode: SerializeMode = "all"

    The serialize mode.

  #### Returns {
  [P in keyof TProperties]?: PropertyDef<TProperties[P]>
  }